# Generated from rubinius-bridge-3.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name rubinius-bridge

Name: rubygem-%{gem_name}
Version: 3.0
Release: 1%{?dist}
Summary: Classes and methods to run other Rubinius tools under MRI
License: MIT
URL: https://github.com/rubinius/rubinius-bridge
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
Classes and methods to run other Rubinius tools under MRI.
Rubinius needs to bootstrap building its core library and code tools
because they are written in Ruby. One way to do this is to run the
code tools under MRI. To do so requires adding some classes and methods
that are built into Rubinius.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%license %{gem_instdir}/LICENSE
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/rubinius-bridge.gemspec

%changelog
* Wed Sep 15 2021 mockbuilder - 3.0-1
- Initial package
